Bug 1875843 (CVE-2020-14389)

Summary: CVE-2020-14389 keycloak: user can manage resources with just "view-profile" role using new Account Console
Product: [Other] Security Response Reporter: Paramvir jindal <pjindal>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: aboyko, aileenc, akoufoud, alazarot, almorale, anstephe, avibelli, bgeorges, chazlett, cmoulliard, dkreling, drieden, etirelli, ggaughan, gmalinko, ibek, ikanello, janstey, jbalunas, jochrist, jpallich, jstastny, jwon, krathod, kverlaen, lthon, mnovotny, mszynkie, pdrozd, pgallagh, pjindal, rrajasek, rruss, rsynek, sdaley, security-response-team, sthorger
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
See Also: https://issues.redhat.com/browse/KEYCLOAK-15468
Whiteboard:
Fixed In Version: keycloak 12.0.0 Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in Keycloak, where it would permit a user with a view-profile role to manage the resources in the new account console. This flaw allows a user with a view-profile role to access and modify data for which the user does not have adequate permission.
Story Points: ---
Clone Of: Environment:
Last Closed: 2020-11-04 20:21:32 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1873277    

Description Paramvir jindal 2020-09-04 14:07:08 UTC
A vulnerability was found in keycloak, where a user with only view-profile role is able to manage the resources in new account console.

References:
https://issues.redhat.com/browse/KEYCLOAK-15295

Comment 6 errata-xmlrpc 2020-11-04 19:24:36 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4.3

Via RHSA-2020:4931 https://access.redhat.com/errata/RHSA-2020:4931

Comment 7 errata-xmlrpc 2020-11-04 19:30:01 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4 for RHEL 7

Via RHSA-2020:4930 https://access.redhat.com/errata/RHSA-2020:4930

Comment 8 errata-xmlrpc 2020-11-04 19:30:37 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4 for RHEL 6

Via RHSA-2020:4929 https://access.redhat.com/errata/RHSA-2020:4929

Comment 9 errata-xmlrpc 2020-11-04 19:37:01 UTC
This issue has been addressed in the following products:

  Red Hat Single Sign-On 7.4 for RHEL 8

Via RHSA-2020:4932 https://access.redhat.com/errata/RHSA-2020:4932

Comment 10 Product Security DevOps Team 2020-11-04 20:21:32 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-14389

Comment 11 Paramvir jindal 2020-11-09 08:48:37 UTC
Acknowledgments:

Name: Václav Muzikář (Red Hat)